
Foreman - Bug #2033

Cannot assign a host to an org

12/11/2012 01:21 PM - Anonymous

Status: Closed   

Priority: Normal   

Assignee: Joseph Magen   

Category: Organizations and Locations   

Target version: 1.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I upgraded to 1.1 RC1 and created a new Org. When I go to edit a host and change the Org it changes it from oVirt to Bare Metal

and refuses to assign it to the new org saying that the host already exists. If I change it back to Ovirt I just get a blank page that says

'2012' and it still is not assigned to the new Org.

Related issues:

Related to Discovery - Feature #4426: Allow changing/setting of organisation ... Closed 02/24/2014

Associated revisions

Revision 671b45e9 - 01/24/2013 07:52 AM - Joseph Magen

fixes #2033 - Cannot assign a host to an org

Now its possible to change Locations / Organizations only via mass assign

History

#1 - 12/11/2012 01:26 PM - Ohad Levy

1. do you have the ovirt compute resource assigned to your org/location ?

2. you probably want to assign hosts to orgs/locations first (by using the checkboxes).

#2 - 12/11/2012 01:47 PM - Anonymous

Yes, every available compute resource, subnet, domain, etc. is assigned to both the org and location that I am using.

#3 - 12/31/2012 08:02 AM - Jasper Poppe

I also have this issue with locations, even when the location is not bound to any resources.

Steps to reproduce:

Create a new location

Try to add an existing host to that location

Foreman now tries to create a host instead of editing the host that's the reason of the host already exists error. If more details are needed, please

ping me ;)

#4 - 12/31/2012 09:19 AM - Ohad Levy

- Category set to Organizations and Locations

- Assignee set to Joseph Magen

- Target version set to 1.1

#5 - 01/07/2013 04:23 PM - Sam Kottler

Where does this stand? I can work on it if you're doing other stuff @Joseph.

#6 - 01/10/2013 07:52 AM - Ohad Levy

switching an host location/org should happen only via the bulk update, Joseph will fix it in his commit
#7 - 01/24/2013 11:29 AM - Joseph Magen

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset 671b45e971eaaeb8723c7d0c1c5ed4ed2fcf6718.

#8 - 04/02/2015 09:47 AM - Dominic Cleal

- Related to Feature #4426: Allow changing/setting of organisation and location in the "Provision Host" screen added
